Print the Receipt Confirmation PDF for an inwards consignment

Path Parameters
  • consignmentId
    Type: stringFormat: uuid
    required
Body·
application/json
  • includeMetrics
    Type: boolean

    Whether to include metrics in the PDF. Defaults to true.

  • includeNotes
    Type: boolean

    Whether to include notes in the PDF, if any. Defaults to true.

  • includeProductSummary
    Type: boolean

    Whether to include product summary information in the PDF. Defaults to false.

  • includeShipping
    Type: boolean

    Whether to include shipping information in the PDF, if any. Defaults to true.

  • orientation
    Type: integerenum

    Integer numbers.

    values
    • Portrait = 1
    • Landscape = 2
  • printOption
    Type: object
Responses
  • application/json
Request Example for post/v1/consignments/{consignmentId}/receipt-confirmation-pdf/print
curl https://api.consignlyhq.com/v1/consignments/123e4567-e89b-12d3-a456-426614174000/receipt-confirmation-pdf/print \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "orientation": "enum (Portrait = 1, Landscape = 2)",
  "includeShipping": true,
  "includeMetrics": true,
  "includeNotes": true,
  "includeProductSummary": true,
  "printOption": {
    "printerId": ""
  }
}'
{
  "printJobId": "123e4567-e89b-12d3-a456-426614174000"
}